const path = require('path')
const webpack = require('webpack')
const HtmlWebpackPlugin = require('html-webpack-plugin')
const { projectPath } = require('../utils')
const appConfig = require('../utils/get-app-config')

const config = {
  ...appConfig.webpack,
  mode: 'none',
  output: {
    filename: '[name].js',
    path: `${projectPath}/public`,
    // publicPath: '/public/',
  },
  plugins: [
    new HtmlWebpackPlugin({
      filename: 'index.html',
      template: path.join(projectPath, 'index.template.ejs'),
      inject: true,
    }),
  ],
}

module.exports = config